// TESTS: Generation of Automatic MetaData from model using autoMeta library function
// All fields will default to type 'text'

import { buildModeledMeta, autoMeta } from './../dynaform/libs';

const model1 = {
	a: 'Value 1',
	b: 'Value 2',
	c: 'Value 3',
	d: ''
};

const model2 = {
	a: 'Value 1',
	b: 'Value 2',
	c: 'Value 3',
	d: {
		e: 444,
		f: 555,
		g: {
			h: true,
			i: false
		}
	},
	z: 'THE END'
};

export const formMetaDataObj = buildModeledMeta(autoMeta(model2));

console.log(formMetaDataObj);
