// TESTS: Lazy combination of Automatic MetaData with Extra MetaData

import { buildModeledMeta, autoMeta, combineExtraMeta } from './../dynaform/libs';

const model2 = {
	a: 'Value 1',
	b: 'Value 2',
	c: 'Maybe',
	d: {
		e: 444,
		f: 555,
		g: {
			h: true,
			i: false
		}
	},
	z: 'THE END'
};

const extra2 = {
	b: { type: 'checkbutton' },
	c: { label: 'Property Three', type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
	d: {
		meta: {
			e: { type: 'radio', 'label': 'Does it work yet?' },
			f: { type: 'datepicker' }
		}
	}
};


const auto2 = autoMeta(model2);
const combined2 = combineExtraMeta(auto2, extra2);
export const formMetaDataObj = buildModeledMeta(combined2);

console.log(formMetaDataObj);
